## dgit 10.7+deb12u3

=== .git/dgit/unpack/pari-extra-3/debian/changelog ===
pari-extra (3-2~dummy1) unstable; urgency=low

  * Dummy change for dgit testing.  Add nonexistend build-dependency to
    break builds in case this package escapes somehow.

 -- Senatus Romanus <spqr@example.com>  Sun, 17 Nov 2013 14:34:17 +0000

pari-extra (3-1) unstable; urgency=low

  * This package is now a dummy packages, replaced by pari-galdata and
    pari-elldata.
  * debian/control:
    - Depends on pari-galdata, pari-elldata and pari-seadata.
    - Suggests: galpol
  * Bump standard version to 3.9.2
  * Move to debhelper v5 (May JoeyH dream of swirls).

 -- Bill Allombert <ballombe@debian.org>  Fri, 05 Aug 2011 14:07:02 +0200

pari-extra (2.1-1) unstable; urgency=low

  * New upstream bugfix release
    - elldata was missing some curves.
  * debian/watch: removed (cannot work).

 -- Bill Allombert <ballombe@debian.org>  Wed,  4 Oct 2006 17:36:44 +0200

pari-extra (2-1) unstable; urgency=low

  * New upstream release
    - this release is not compatible with PARI/GP 2.1.
    - this release include galdata and elldata.
  * Bump standard version to 3.7.2.
  * Update description.
  * Move to debhelper v4 (May JoeyH dream of swirls).

 -- Bill Allombert <ballombe@debian.org>  Sat,  3 Jun 2006 16:48:44 +0200

pari-extra (1-4) unstable; urgency=low

  * Bump standard version to 3.6.1.
  * update FTP site in debian/watch and debian/copyright.
  * description: Rename Université to University to avoid trouble with
    non latin-1 charsets. Thanks Denis Barbier. Closes: #245594.

 -- Bill Allombert <ballombe@debian.org>  Tue, 27 Apr 2004 19:04:04 +0200

pari-extra (1-3) unstable; urgency=low

  * Bump standard version to 3.5.9.
  * Rebuild with new debhelper to remove the /usr/share/doc transition code.
  * Clean up debian/rules.

 -- Bill Allombert <ballombe@debian.org>  Sun,  6 Apr 2003 17:10:00 +0200

pari-extra (1-2) unstable; urgency=low

  * Improved description.

 -- Bill Allombert <ballombe@debian.org>  Wed, 17 Oct 2001 19:35:11 +0200

pari-extra (1-1) unstable; urgency=low

  * Initial Release. Closes: BUG#99173

 -- Bill Allombert <ballombe@debian.org>  Fri,  9 Mar 2001 14:49:27 +0100

Local variables:
mode: debian-changelog
End:
