=== debian/changelog ===
dgit (10.7+deb12u3) bookworm; urgency=medium

  * git-debpush: Add source= & version= (Closes: #1069001).

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 03 Mar 2025 14:46:58 +0800
