## dgit 11.1

=== debian/changelog ===
dgit (11.1) unstable; urgency=medium

  * dgit(1): Adjust tbl formatting to avoid warning.
    [Report and suggestions from Branden Robinson]  Closes: #1041317.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 20 Jul 2023 00:32:36 +0100

dgit (11.0) unstable; urgency=medium

  Bugfix with compatibility implications:
  * Pass --no-source-only-changes to sbuild (when building binaries).
    Fixes operation with SOURCE_ONLY_CHANGES locally overridden.
    (Incompatible with sbuild <0.78; to work around, say
    dgit --sbuild!:--no-source-only-changes.).
    [Report from Sean Whitton]  Closes: #904969.

  Documentation:
  * dgit-maint-{merge,rebase}(7): Cross-reference to gitrevisions(7).
    [Sean Whitton, Ian Jackson]  Closes: #959760.

  Removal:
  * Abolish dgit-badcommit-fixup (the remedial script for #849041).
    If ancient repositories are found which need fixing, install
    dgit.deb 10.7 or earlier (eg from Debian bookworm and earlier).

  Testing;
  * Tests: work around git changes in 2.40 relating to commit verification.
    Skipping tests involving now-uncreatable objects.  Closes: #1033503.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 15 Jun 2023 00:53:22 +0100
