## dgit 11.2

=== debian/changelog ===
dgit (11.2) unstable; urgency=high

  * Use the old /updates security map only for buster.  Fixes fetching from
    suites ,-security after buster.  [Matthew Vernon]  Closes: #1050179.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 22 Aug 2023 19:25:55 +0100
