=== debian/changelog ===
dgit (11.3) unstable; urgency=medium

  * Prevent pushing older versions than is in the archive.
    Closes: #1050711.  [Reports from Helmut Grohne and Phil Hands]
  * Detect tar-ignore in d/s/options and bail early if appropriate.
    Closes: #1050709.  [Report from Helmut Grohne]
  * dgit(1): --overwrite: Add cross reference to --split-view.
    Apropos ##1050713.  [Report from Helmut Grohne]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 03 Sep 2023 00:43:36 +0100
