## dgit 11.8

=== Makefile ===
--- 
+++ 
@@ -64,6 +64,7 @@
 
 GDP_PROGRAMS=git-debpush
 GDP_MAN1PAGES=git-debpush.1
+GDP_MAN5PAGES=tag2upload.5
 
 INFRA_PROGRAMS=dgit-repos-server dgit-ssh-dispatch dgit-mirror-ssh-wrap \
 	dgit-repos-policy-debian dgit-repos-admin-debian \
@@ -76,7 +77,7 @@
 
 MANPAGES=$(MAN1PAGES) $(MAN5PAGES) $(MAN7PAGES) \
 	$(GDR_MAN1PAGES) $(GDR_MAN5PAGES) \
-	$(GDP_MAN1PAGES)
+	$(GDP_MAN1PAGES) $(GDP_MAN5PAGES)
 
 all:	$(MANPAGES) $(addprefix substituted/,$(PROGRAMS))
 
@@ -107,6 +108,7 @@
 install-gdp:    installdirs-gdp
 	$(INSTALL_PROGRAM) $(GDP_PROGRAMS) $(DESTDIR)$(bindir)
 	$(INSTALL_DATA) $(GDP_MAN1PAGES) $(DESTDIR)$(man1dir)
+	$(INSTALL_DATA) $(GDP_MAN5PAGES) $(DESTDIR)$(man5dir)
 
 install-gdr:	installdirs-gdr
 	$(INSTALL_PROGRAM) $(GDR_PROGRAMS) $(DESTDIR)$(bindir)
@@ -126,7 +128,8 @@
 	done
 
 installdirs-gdp:
-	$(INSTALL_DIR) $(DESTDIR)$(bindir) $(DESTDIR)$(man1dir)
+	$(INSTALL_DIR) $(DESTDIR)$(bindir) \
+		$(DESTDIR)$(man1dir) $(DESTDIR)$(man5dir)
 
 installdirs-gdr:
 	$(INSTALL_DIR) $(DESTDIR)$(bindir) \
@@ -172,5 +175,10 @@
 		--name git-debpush \
 		$^ $@
 
+tag2upload.5: tag2upload.5.pod
+	pod2man --section=5 --date="Debian Project" --center="tag2upload" \
+		--name tag2upload \
+		$^ $@
+
 %.view:	%
 	man -l $*
