=== debian/changelog ===
dgit (11.8) unstable; urgency=medium

  * Fix installation of tag2upload(5).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 14 Apr 2024 20:34:49 +0800

dgit (11.7) unstable; urgency=medium

  [ Ian Jackson ]
  * dgit: Introduce --trust-changelog, as the new name for --overwrite,
    and recommend it everywhere.  As requested in #1050713;
    may help with #913451 #990667 (requests for better docs).
  * dgit: New --collab-non-dgit option.  Closes: #1050713.
    [Apropos informal reports from several people]
  * dgit diff generation: Avoid breaking if user has ui.color=always.
    Closes: #1067222.  [Report from Rafael Laboissière]
  * tag2upload(5): New manpage documenting the tag2upload protocol.
    Closes: #1068231.

  [ Sean Whitton ]
  * Add myself to Uploaders.
  
 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 13 Apr 2024 21:14:43 +0800

dgit (11.6) unstable; urgency=medium

  Improved behaviour:
  * dgit: Delete the playground on success, by default.
    [Report from gregor herrmann]  Closes: #1056103.

  Documentation:
  * dgit(7): Don't falsely assert that *.dgit.d.o is usually `origin`.
  * dgit-user(7): Deprioritise information about jessie.

  Tests:
  * autopkgtests: Install locales-all for i18n-messages test.
  * Stunt httpd: don't respond to HEAD with 404+body.  Closes: #1063341.
  * autopkgtests: Reduce primary log size when running under autopkgtest:
    Save the stderr/stdout to a file which appears (compressed) in
    the artifacts, and is only printed if the test fails.
  * Add comment about benchmarking of the gzip -1 flag on artifacts.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 09 Feb 2024 12:05:39 +0000

dgit (11.5) unstable; urgency=medium

  * dgit: Fix harmless but annoying warning about rebinding $date.
    [Report from Étienne Mollier]  Closes: #1055528.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 10 Nov 2023 13:12:42 +0000

dgit (11.4) unstable; urgency=medium

  dgit dsc import fixes:
  * Do not fail when source package has broken changelog for -1 upload.
    Closes: #1054630.  See also #1051961.  [Report from Peter Green]
  * Pass through the changelog timezone to the generated commit metadata.

  Documentation:
  * dgit-sponsorship(7): Mention git-deborig(1) alongside git-archive(1)
    [Sean Whitton].

  Test suite:
  * Fix i18n-messages test to explictly demand "locales", and set locale.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 30 Oct 2023 02:21:52 +0000
