=== debian/tests/control ===
--- 
+++ 
@@ -36,6 +36,10 @@
 Tests-Directory: tests/tests
 Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, git-debrebase, git-buildpackage
 
+Tests: gdr-newupstream gdr-viagit
+Tests-Directory: tests/tests
+Depends: chiark-utils-bin, faketime, git-debrebase, git-buildpackage
+
 Tests: gitattributes
 Tests-Directory: tests/tests
 Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, bsdgames, man-db, git-man
@@ -45,9 +49,5 @@
 Depends: gnupg, patch, diffutils
 Restrictions: hint-testsuite-triggers
 
-Tests: gdr-newupstream gdr-viagit i18n-messages
+Tests: i18n-messages
 Tests-Directory: tests/tests
-Depends: chiark-utils-bin, faketime, git-debrebase, git-buildpackage
-
-Tests: import-linkorigs
-Tests-Directory: tests/tests
