## dgit 11.10

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
 
 INSTALL=install
 INSTALL_DIR=$(INSTALL) -d
