=== debian/changelog ===
dgit (11.10) unstable; urgency=medium

  * Add TAG2UPLOAD-DESIGN.txt [Ian Jackson].
  * git-debpush: Revert changes to in-tag metadata from the last upload.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 22 May 2024 20:42:50 +0100

dgit (11.9) unstable; urgency=medium

  * tag2upload(5):
    - The COMMITID must be an abbreviated hash.
    - Explain why upstream-tag=TAG is required.
    - Add source= & version= to the in-tag metadata.
  * git-debpush:
    - Quote an argument to git-cat-file.
    - Add source= & version= to the in-tag metadata.
  * Replace http->https in GPL file headers.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 21 May 2024 14:08:20 +0100
