## dgit 11.11

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Integration between git and Debian-style archives
 #
 # Copyright (C)2013-2018 Ian Jackson
-# Copyright (C)2019      Sean Whitton
+# Copyright (C)2019,2024 Sean Whitton
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -34,7 +34,7 @@
 txtdocdir=$(prefix)/share/doc/dgit
 absurddir=$(prefix)/share/dgit/absurd
 
-PROGRAMS=dgit git-playtree-setup
+PROGRAMS=dgit git-playtree-setup mini-git-tag-fsck
 MAN1PAGES=dgit.1
 
 MAN7PAGES=dgit.7				\
