=== debian/changelog ===
dgit (11.11) unstable; urgency=medium

  [ Ian Jackson ]
  * dgit-repos-server, tag2upload support:
    - Introduce t2uv_* prefix to distinguish trusted parts of t2u flow.
    - New parameter for mail addresses to Cc error messages to.
  * dgit-repos-server, general:
    - New always-accept AUTH-SPEC.
    - Fix & update some debug printing.
    - Some other refactorings.
  * Dgit.pm:
    - git_rev_parse: New \@prefix parameter.

  * dgit: Fix documentation of the rpush protocol.
  * TAG2UPLOAD-MANAGER-PROTOCOL.md: New protocol specification.

  * Test suite:
    - New .gitlab-ci.yml to enable salsa CI.
    - Pass --no-same-owner to tar.
      Fixes running the tests as root.
    - Move some variables out from tests/drs-git-ext to tests/lib.
    - tag2upload: Check for drs dgit success (t-tagupl-succeeded).
    - tests/enumerate-tests: New facility for printing package names.
    - Various renames to replace 'tagupl' abbreviation with 't2u'.
      Not yet complete.
  
  [ Sean Whitton ]
  * dgit:
    - Check that a source-only changes has "Architecture: source".
    - New --expect-suite, --expect-version options for rpush.
      The initiator now checks the values of these options, and that of
      -p/--package, against the parsed changelog, .changes and .dsc sent
      by the responder.  This protects against a misbehaving or
      compromised responder attempting to use the initiator to sign
      .changes and .dsc files for some other package, version or target
      suite.  This is relevant for how the security of the tag2upload
      design relies on the rpush protocol.
    - New --tag2upload-builder-mode, --tag2upload-upstream and
      --tag2upload-upstream-commit options.
      These are used to invoke mini-git-tag-fsck in the right way, and
      --tag2upload-builder-mode may enable other things in the future.
      (As of this release, they are not yet passed by dgit-repos-servers.)
  
  * git-debpush: Add source= & version= to the in-tag metadata (for real
    this time) (Closes: #1069001).
  
  * dgit-repos-server, tag2upload support:
    - Obtain the source package and version from the [dgit ...] metadata.
      (The target suite is still obtained from the first line of the tag
      message; this will change.)
    - Replace invoking 'dgit push-source' with 'dgit rpush-source'.
      This is work towards the new tag2upload three node design.
    - Pass the new --package, --expect-suite and --expect-version.
    - Some other tidying up.
  
  * TAG2UPLOAD-DESIGN.txt: Document SOURCE_VERSION.git.tar.xz.
  * mini-git-tag-fsck: New script to handle SOURCE_VERSION.git.tar.xz.
    Its functionality is only partially implemented as of this release.
  
  * Test suite:
    - Test the new rpush security by mocking up an MITM of the responder
      (tests/ssh-rpush-mitm).
    - Very basic test for --tag2upload-builder-mode.
    - t2u-gbp: Drop an unnecessary, confusing include.

  * Update copyright notices for Ian and me for core files.
  * Add .dir-locals.el.
  * Add some file mode indicators in various places.

  [ Sean Whitton & Ian Jackson ]
  * Add TAG2UPLOAD-FAQ.md.
    With thanks to Russ Allbery for review.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 03 Sep 2024 13:55:01 +0100
