=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
          libdigest-sha-perl, dput, curl, apt,
          libjson-perl, ca-certificates,
          libtext-iconv-perl, libtext-glob-perl, libwww-curl-perl,
-         libtext-csv-perl
+         libtext-csv-perl, python3
 Recommends: ssh-client, distro-info-data, liburi-perl
 Suggests: sbuild | pbuilder | cowbuilder
 Architecture: all
@@ -60,6 +60,7 @@
 Depends: ${misc:Depends}, perl, git-core, gpgv, chiark-utils-bin,
          libjson-perl, libdigest-sha-perl, libdbd-sqlite3-perl, sqlite3,
          libdpkg-perl,
+         liburi-perl,
          liblocale-gettext-perl
 Recommends: dgit (>= 11.7~)
 Architecture: all
