## dgit 12.3

=== debian/changelog ===
dgit (12.3) unstable; urgency=medium

  tag2upload development:
  * dgit: Make --tag2upload-builder-mode imply --dep14tag-reuse=must.
  * tag2upload-oracled.user.service: Use @packages.d.o address in From.
  * Document proposed new calling convention between tag2upload-oracled
    and 'dgit-repos-server --tag2upload4' [Ian Jackson].

  Test suite fix:
  * tag2upload-oracled-systemd-unit: Restore default test dependencies.
    This was breaking this test under autopkgtest.
  
 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 15 Dec 2024 10:38:57 +0800

dgit (12.2) unstable; urgency=medium

  * git-debpush options improvements:
    - Rename patches-applicable check to patches-nonapplicable.
    - Rename suite check to changed-suite.
    - Rename existing -n/--no-push to -t/--tag-only.
    - New -n/--dry-run and --print-tag-text options.
    Closes: #935085.  [Report & suggestions from Ian Jackson]
  
  * git-debpush output improvements:
    - Use uniform line prefix "git-debpush: check failed: ".
      This should make it easier to see which checks failed.
    - Disable whitespace warnings from git-apply.
    Closes: #940590.  [Report & suggestion from Andrej Shadura]
  
  * Test suite fixes:
    - Fix overlapping use of file descriptor 5 by the tests.
      This was breaking all the tag2upload tests under autopkgtest.    
    - t2u-gbp: Replace an unwarranted change of pipefail settings.
    - t2u-gdr: Fix dependencies and environment variable issue.
  
 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 13 Dec 2024 17:06:02 +0800

dgit (12.1) unstable; urgency=high

  Critical bugfix:
  * Once again honour command line options --delayed, -c, -m.
    (-c would sometimes still work, depending on the usage).
    Regressed in 12.0.  Closes:#1089632.  [Report from Sean Whitton]

  New feature for dgit [Xiyue Deng]:
  * New passthrough option, --allow-unrelated-histories.

  Documentation:
  * dgit(1), dgit-user(7): Document dgit's backwards installability.

  tag2upload development [Sean Whitton]:
  * Complete mini-git-tag-fsck by implementing its --audit mode.
  * Complete the integration tests for mini-git-tag-fsck.
  * Make the Oracle always invoke mini-git-tag-fsck.
  * Don't call 'git deborig' if we got one from the archive.
  * Fix hardcoded debian/ tag prefix in git-debpush.
  * Test git-debpush's fishing the quilt mode out of history.
  * Some minor code style changes.

  Internal changes & test suite:
  * Tidy up some control of split brain mode.
  * Demonstrate --collab-non-dgit for a native package.
  * Strip junk from a number of tarballs used to set up tests.
  * Fix the gdr-convert-gbp canned setup to call t-select-package
    [Sean Whitton].

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 13 Dec 2024 02:16:53 +0000

dgit (12.0) unstable; urgency=medium

  Possible incompatible changes:
  * dgit push-*: Retain existing DEP-14 tag, even if unsigned, by default.
    New --dep14 options (and config settings) to control the behaviour.
    DEP-14 tag handling and docs overhauled and debugged.
    Closes: #1073787.
  * Command option option handling (--cmd:... etc.):
    Reimplement, with behavioural change bugfix: now you can
    always override configured information from the command line.
    Other misbehaviours and crashes in this area fixed.

  Documentation:
  * dgit-user(7): Use `apt-get build-dep .` in build examples.
  * dgit-sponsorship(7): Mention possible lack of origs.
  * Update Dutch (.nl) translation.  Closes:#1070141  [Frans Spiesschaert]
  * Fix minor docs typos.  [Otto Kekäläinen]

  Other improvements:
  * dgit: Include split-maint-view-tag metadata item in dgit view tag.
  * dgit rpush: Better error handling when child fails.
  * dgit rpush: debug prints: show the files-end message.

  Packaging:
  * debian/control: Bump to debhelper compat level 12.

  Testing - compatibility and bug fixes:
  * Replace use of apt-key with trusted.gpg.d.
    Closes:#1088220.  [Report from Julian Andres Klode]
  * Strip libeatmydata.so out of LD_PRELOAD when using schroot.
    (Fixes in-tree run failures on trixie.)
  * CI: Disable new changelog-empty-entry warning.

  Testing - other improvements:
  * enumerate-tests: Honour TESTSCRIPTS
  * Turn off gbp-buildpackage desktop notifications.
  * CI: Add jobs to test on old releases, back to buster.
  * CI: Better error reporting; use eatmydata; disable two empty jobs.
  * Supporting changes and refactoring.

  tag2upload development:
  * tag2upload-oracled: New program, still in development.
  * Add systemd user unit for tag2upload-oracled.
  * Relax syntax of WORKER-ID in o2m protocol.
  * Break out ProtoConn module for reuse in o2m.
  * New test: integration with tag2upload-service-manager.
  * Run existing tag2upload tests via tag2upload-oracled.
  * Further development of mini-git-tag-fsck.
  * Supporting changes to and refactoring of dgit-repos-server.

  Much of the work described above was done by, or with,
  or reviewed by, Sean Whitton.  Thanks, Sean!

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 29 Nov 2024 01:40:28 +0000
