## dgit 12.4

=== Makefile ===
--- 
+++ 
@@ -50,7 +50,8 @@
 PERLMODULES= \
 	Debian/Dgit.pm \
 	Debian/Dgit/ExitStatus.pm \
-	Debian/Dgit/I18n.pm
+	Debian/Dgit/I18n.pm \
+	Debian/Dgit/ProtoConn.pm
 ABSURDITIES=git
 
 GDR_PROGRAMS=git-debrebase
@@ -68,12 +69,14 @@
 
 INFRA_PROGRAMS=dgit-repos-server dgit-ssh-dispatch dgit-mirror-ssh-wrap \
 	dgit-repos-policy-debian dgit-repos-admin-debian \
-	dgit-repos-policy-trusting dgit-mirror-rsync
+	dgit-repos-policy-trusting dgit-mirror-rsync \
+	tag2upload-oracled
 INFRA_EXAMPLES=get-dm-txt ssh-wrap drs-cron-wrap get-suites
 INFRA_PERLMODULES= \
 	Debian/Dgit.pm \
 	Debian/Dgit/Infra.pm \
-	Debian/Dgit/Policy/Debian.pm
+	Debian/Dgit/Policy/Debian.pm \
+	Debian/Dgit/ProtoConn.pm
 
 MANPAGES=$(MAN1PAGES) $(MAN5PAGES) $(MAN7PAGES) \
 	$(GDR_MAN1PAGES) $(GDR_MAN5PAGES) \
