=== debian/changelog ===
dgit (12.4) unstable; urgency=medium

  dgit changes:
  * New --dsc-control-add and --ch-control-add options.
  * With --dry-run, dgit now always writes an edited .changes to a
    temporary file, as it has long done for the edited .dsc.

  tag2upload development:
  * tag2upload-oracled: Speak version 2 of the simple Oracle protocol.
  * dgit-repos-server: Take JOB-ID from tag2upload-oracled.
  * dgit: In --tag2upload-builder-mode, include a _source.buildinfo.
    This is work towards #932802.

  Specifications [Ian Jackson]:
  * Define version 2 of the Manager-to-Oracle protocol.
    The protocol now additionally conveys the job ID.

  Test suite fix:
  * Set "Rules-Requires-Root: binary-targets" in example_1.0.tar.
    Closes: #1092190.

  CI job definitions [Ian Jackson]:
  * dgit-test-suite, t2u-integration: Use a Debian testing image.
    This means that the inputs to our CI are gated by our own tests.
  * t2u-integration: Explicitly install curl.

  Documentation fix [Xiyue Deng]:
  * git-debrebase(5): Fix a few typos of repeated words.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 08 Jan 2025 09:11:11 +0000
