=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>
 Standards-Version: 4.4.0.0
-Build-Depends: debhelper (>= 9), gettext, po4a, tcl
+Build-Depends: debhelper-compat (= 12), gettext, po4a, tcl
 Testsuite: autopkgtest
 Vcs-Git: https://salsa.debian.org/dgit-team/dgit.git
 Vcs-Browser: https://salsa.debian.org/dgit-team/dgit
